package repository

import (
	. "gitlab.ost.ch/marketminds/marketminds/pkg/entity"
)

type NewsItemRepository interface {
	GetAllByNewsChannelId(newsChannelId int64) ([]*NewsItem, error)
	GetById(id int) (*NewsItem, error)
	Create(entity *NewsItem) error
	Update(entity *NewsItem) error
	Delete(id int) error
}
